# Callback

<pre><code><strong>// Called when there is a case created
</strong><strong>tapliveCallback.tapliveOnCreateCase = (caseModel, fullname, email, url) => {
</strong>    // action here
}

// Called when user send a message
tapliveCallback.tapliveOnSendMessage = (message, fullname, email, url) => {
    // action here
}

// Called when LiveChat launcher is opened
tapliveCallback.tapliveOnOpen = () => {
    // action here
}

// Called when LiveChat launcher is closed
tapliveCallback.tapliveOnClose = () => {
    // action here
}
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.taptalk.io/onetalk-omnichannel-documentation/onetalk-channel-integration/live-chat/onetalk-web/callback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
